Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.store
Class FSDirectoryProvider

    java.lang.Object
      org.hibernate.search.store.FSDirectoryProvider

All Implemented Interfaces:
  DirectoryProvider<org.apache.lucene.store.FSDirectory>

    public class FSDirectoryProvider

extends Object
implements DirectoryProvider<org.apache.lucene.store.FSDirectory>

Use a Lucene FSDirectory The base directory is represented by hibernate.search..indexBase The index is created in /

Author:
  Emmanuel Bernard, Sylvain Vieujot

Constructor Summary
`FSDirectoryProvider()`

Method Summary
`boolean` | `equals(Object obj)`
`org.apache.lucene.store.FSDirectory` | `getDirectory()` Returns an initialized Lucene Directory.
`int` | `hashCode()`
`void` | `initialize(String directoryProviderName, Properties properties)` get the information to initialize the directory and build its hashCode

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FSDirectoryProvider

    public FSDirectoryProvider()

Method Detail

### initialize

    public void initialize(String directoryProviderName,
                           Properties properties)

  Description copied from interface: `DirectoryProvider`
  get the information to initialize the directory and build its hashCode

  Specified by:
    `initialize` in interface `DirectoryProvider<org.apache.lucene.store.FSDirectory>`

### getDirectory

    public org.apache.lucene.store.FSDirectory getDirectory()

  Description copied from interface: `DirectoryProvider`
  Returns an initialized Lucene Directory. This method call must be threadsafe

  Specified by:
    `getDirectory` in interface `DirectoryProvider<org.apache.lucene.store.FSDirectory>`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD